## osname-2.0.tar.gz

=== Makefile ===
# This is a Makefile.
# @(#)Makefile,v 1.6 2011/09/02 00:13:28 kim Exp

BIN_SH=/bin/sh

# The Bourne shell used must understand shell functions.
#BIN_SH=/bin/sh5

PREFIX=/usr/pkg

CMD=osname

.PHONY: all
all: $(CMD)

${CMD}: ${CMD}.sh
	sed \
	    -e 's;@BIN_SH@;${BIN_SH};g' \
	    < $< > $@
	chmod a+rx $@

.PHONY: install
install: install-bin install-man

install-bin: $(CMD)
	install -c $(CMD) ${PREFIX}/bin/$(CMD)

install-man:
	install -m 664 $(CMD).1 ${PREFIX}/man/man1

clean:
	rm -f $(CMD)

=== debian/changelog ===
osname (2.0-1) unstable; urgency=low

  * Use amd64 instead of x86_64

 -- Kimmo Suominen <kimmo@gw.com>  Fri, 21 Oct 2011 20:53:12 +0300

osname (1.5-1) unstable; urgency=low

  * Initial release

 -- Kimmo Suominen <kimmo@gw.com>  Thu, 01 Sep 2011 17:44:28 +0300

=== debian/control ===
Source: osname
Section: net
Priority: extra
Maintainer: Kimmo Suominen <kimmo@gw.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://kimmo.suominen.com/sw/
#Vcs-Git: git://git.debian.org/collab-maint/osname.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/osname.git;a=summary

Package: osname
Architecture: all
Depends: ${misc:Depends}, dash (>= 0.5.5.1) | bash (>= 4.1), coreutils (>= 7.4), sed (>= 4.2.1), lsb-release
Description: Print name of operating system
 The goal of osname is to provide a standard operating system name. Addi-
 tional logic has been added for cases where information from uname(1) or
 lsb_release(1) is ambiguous, insufficient or superfluous. Using osname
 centralizes the management of such special handling.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>.
	$(MAKE) PREFIX=`pwd`/debian/`dh_listpackages`/usr install-bin
	$(MAKE) PREFIX=`pwd`/debian/`dh_listpackages`/usr/share install-man

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_lintian
#	dh_bugfiles
#	dh_undocumented
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
#	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
